# PVR+ 1.3 compilation script for ARM

LOADERMODULE=loader
MAINMODULE=pvrplus
MAINFOLDER=PVRplus
HELPERMODULE=osd_ttf
CC=arm-SamyGO-linux-gnueabi-gcc
CFLAGS="-O2 -ffunction-sections"
LFLAGS="-s -shared -Wl"
STRIP=arm-SamyGO-linux-gnueabi-strip
TTF_LIBS="/usr/local/arm-SamyGO-linux-gnueabi/lib/libSDL_ttf.a /usr/local/arm-SamyGO-linux-gnueabi/lib/libfreetype.a"

cd src
$CC $CFLAGS -c $LOADERMODULE.c -o ../$LOADERMODULE.o
$CC $LFLAGS -o ../$LOADERMODULE.so ../$LOADERMODULE.o
$CC $CFLAGS -Wall -fPIC -c $HELPERMODULE.c -o ../$HELPERMODULE.o
$CC $LFLAGS -o ../$HELPERMODULE.so ../$HELPERMODULE.o $TTF_LIBS
$CC $CFLAGS -Wall -c $MAINMODULE.c -o ../$MAINMODULE.o
$CC $LFLAGS -o ../$MAINMODULE.so ../$MAINMODULE.o
$STRIP --remove-section=.comment --remove-section=.note ../*.so
rm ../*.o
cd ..
mv *.so ../$MAINFOLDER/

echo "Compiled files for ARM:"
ls -l ../$MAINFOLDER/*.so

