#ifndef __OSD_H
#define __OSD_H

#define SCREEN_W	(1920/2)
#define SCREEN_H	(1080/2)
#define SCREEN_BPP	32
#define SCREEN_FLAGS	SDL_HWSURFACE
#define ICON_X		10
#define ICON_Y		10
#define WARNING_DELAY	2500
#define WARNINFO_DELAY	3000
#define NO_DELAY	1000
#define STOP_DELAY	1000
#define SUMMARY_DELAY	7000
#define INSIDE_ALPHA	200
#define LASTFILENAME_MAX_PIXELS	490
#define MAX_SOURCES	6
#define SOURCE_SCRIPT	(MAX_SOURCES-1)
#define MAX_FAVCHS	6
#define FAVCH_SCRIPT	(MAX_FAVCHS-1)
#define MAX_FREEZES	3
#define DIV_MB_MARGIN	20

enum
{
   COLOR_CYAN,
   COLOR_HALFGRAY,
   COLOR_GRAY,
   COLOR_WARNRED,
   COLOR_LIGHTRED,
   COLOR_YELLOW,
   COLOR_YELDIM,
   COLOR_LIGHTGRAY,
   COLOR_ALMOSTWHITE,
   COLOR_WHITE
};

SDL_Color colortable[] =
{
   {  0,255,255,0},
   {128,128,128,0},
   { 82, 82, 82,0},
   {255, 41, 41,0},
   {255,163,163,0},
   {255,255,  0,0},
   {128,128,  0,0},
   {230,230,230,0},
   {200,200,200,0},
   {255,255,255,0}
};

enum
{
   INFOPANE_MANUAL=0, INFOPANE_AUTO,
   MAX_INFOPANE
};

int manualauto[MAX_INFOPANE] = {
   OPT_MANUAL,
   OPT_AUTO
};

struct
{
   int option;
   int value;
} sources[MAX_SOURCES] =
{
   {OPT_SOURCE,	KEY_SOURCE},
   {OPT_HDMI1,	KEY_HDMI1},
   {OPT_HDMI2,	KEY_HDMI2},
   {OPT_HDMI3,	KEY_HDMI3},
   {OPT_HDMI4,	KEY_HDMI4},
   {OPT_SCRIPT,	0}
};

struct
{
   int option;
   int value;
} favchs[MAX_FAVCHS] =
{
   {OPT_FAVCH,	KEY_FAV_CH},
   {OPT_ASPECT,	KEY_ASPECT},
   {OPT_PIP,	KEY_PIP},
   {OPT_SLEEP,	KEY_SLEEP},
   {OPT_ESAVING,KEY_ESAVING},
   {OPT_SCRIPT,	0}
};

int freezes[MAX_FREEZES] =
{
   OPT_STANDARD, OPT_FREEZE, OPT_PAUTO
};

int EPG_trans[MAX_EPG_TRANS] =
{
   OPT_NONE, OPT_ASCII, OPT_UTF8
};

int timesources[MAX_TIMESOURCES] =
{
   OPT_NTP, OPT_EPG
};

enum
{
   DIVIDING_OFF = 0,
   DIVIDING_AUTO,
   DIVIDING_1GB,
   DIVIDING_2GB,
   DIVIDING_4GB,
   DIVIDING_BY_EPG,
   MAX_DIVIDES
};
struct
{
   int option;
   int val;
} divides[MAX_DIVIDES] =
{
   {MSG_OFF,		0},
   {OPT_DIV_AUTO,	0},
   {OPT_DIV_1GB,	(1024-DIV_MB_MARGIN)},
   {OPT_DIV_2GB,	(2048-DIV_MB_MARGIN)},
   {OPT_DIV_4GB,	(4096-DIV_MB_MARGIN)},
   {OPT_DIV_EPG,	0},
};

typedef struct _fontinfo
{
   int offset;
   unsigned char width;
} fontinfo;

enum _recdispmodes
{
   RECDISPMODE_NORMAL = 0, RECDISPMODE_INFOPANE, RECDISPMODE_HIDDEN
};

#endif

