#ifndef __PVRPLUS_H_
#define __PVRPLUS_H_

#define FS_EXT1			0x137D
#define FS_EXT2_OLD		0xEF51
#define FS_EXT234		0xEF53
#define FS_HPFS			0xF995E849
#define FS_ISOFS		0x9660
#define FS_FAT			0x4d44
#define FS_CIFS			0xFF534D42
#define FS_NFS			0x6969
#define FS_NTFS			0x5346544E
#define FS_SMB			0x517B
#define FS_UDF			0x15013346
#define FS_USBDEV		0x9FA2
#define FS_EFS			0x00414A53
#define FS_RFS			0x2003BAB1

#define MIN_YEAR		2011
#define MAX_YEAR		3000

#define MAX_RECPARTNAME		256
#define MAX_AUTOSTOP		180
#define AUTOSTOP_STEP1		10
#define AUTOSTOP_STEP2		30

#define MONITORING_INTERVAL	1000
#define RECWARNINGS_PERIOD	600
#define TOTALFREE_PERIOD	10
#define EPG_PERIOD		15
#define EPG_FIRST_PERIOD	5

#define MIN_FILE_SIZE		1024

#define DIVIDE_WARN_MARGIN	32
#define FREE_SPACE_WARNING	32
#define FREE_SPACE_STOP		4

#define EPG_PROGNAME_CHANGED_LIMIT	3

#define DVR_SUBDIR_NAME		"DVR"
#define MAX_DVR_SUBDIRS		9


#define MAX_TARGET_NAME 20
#define MAX_TARGET_VENDOR 50
#define MAX_TARGET_PRODUCT 20
#define MAX_TARGET_SERIAL 50
#define MAX_TARGET_PATH 128

typedef struct
{
   int id;
   char name[MAX_TARGET_NAME];
   char vendor[MAX_TARGET_VENDOR];
   char product[MAX_TARGET_PRODUCT];
   char serial[MAX_TARGET_SERIAL];
   char path[MAX_TARGET_PATH];
   char usesintmem;
   char not_allowed;
} target;

#define AUTO_TARGET_DEF		{0, "Auto", "", "", "", "", 1, 0}
#define INTERNAL_TARGET_DEF	{1, "MOVIE001", "", "", "", "/mtd_wiselink/MOVIE001", 1, 0}

#endif

